Namespace LinkedLists
    Public Class SpriteLinkedIndexListItem
        Private mobjNext, mobjPrev As SpriteLinkedIndexListItem
        Public Index As Integer

        Public Property PreviousSprite() As SpriteLinkedIndexListItem
            Get
                Return mobjPrev
            End Get
            Set(ByVal Value As SpriteLinkedIndexListItem)
                mobjPrev = Value
            End Set
        End Property

        Public Property NextSprite() As SpriteLinkedIndexListItem
            Get
                Return mobjNext
            End Get
            Set(ByVal Value As SpriteLinkedIndexListItem)
                mobjNext = Value
            End Set
        End Property

        Protected Overrides Sub Finalize()
            MyBase.Finalize()
            mobjNext = Nothing
            mobjPrev = Nothing
        End Sub
    End Class
End Namespace