Option Strict On
Option Explicit On 

'UPGRADE_WARNING: Class instancing was changed to public. Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1043"'
<System.Runtime.InteropServices.ProgId("clsPAKItem_NET.clsPAKItem")> Public Class clsPAKItem
	
    Public Enum PAKItemType
        PAKItemType_File = 1
        PAKItemType_Directory = 2
    End Enum

    Private mtypItemType As PAKItemType
    Private mstrItemName As String
    Private mobjParent As clsPAK


    Public Property ItemType() As PAKItemType
        Get
            ItemType = mtypItemType
        End Get
        Set(ByVal Value As PAKItemType)
            mtypItemType = Value
        End Set
    End Property


    Public Property ItemName() As String
        Get
            ItemName = mstrItemName
        End Get
        Set(ByVal Value As String)
            mstrItemName = Value
        End Set
    End Property


    Public ReadOnly Property Parent() As clsPAK
        Get
            Parent = mobjParent
        End Get
    End Property

    Friend Sub New(ByVal pParent As clsPAK)
        MyBase.new()
        mobjParent = pParent
    End Sub

    Protected Overrides Sub Finalize()
        MyBase.Finalize()
        Me.mobjParent = Nothing
    End Sub
End Class