'Created by: X
'Copyright: Created by: X
'E-Mail: mailto:createdbyx@yahoo.com
'Web: http://www.createdbyx.com/
'Date: August 12, 2003
'=============================================
Public Enum ControlFocus
    FTreeView = 0
    FListView = 1
End Enum

Public Structure GuGFileHeader
    Friend mintVersion As Integer
    Friend mlngFileSize, mlngEntryPosition As Long
    Friend mintNumberOfEntries As Integer


    Public ReadOnly Property Version() As Integer
        Get
            Return mintVersion
        End Get
    End Property

    Public ReadOnly Property NumberOfEntries() As Integer
        Get
            Return mintNumberOfEntries
        End Get
    End Property

    Public ReadOnly Property FileSize() As Long
        Get
            Return mlngFileSize
        End Get
    End Property

    Public ReadOnly Property EntryPosition() As Long
        Get
            Return mlngEntryPosition
        End Get
    End Property
End Structure

Public Structure GuGFileEntry
    Friend mstrPath, mstrFileName, mstrSourceFile As String
    Friend mlngFileSize, mlngPosition As Long

    Friend Sub SetPosition(ByVal Value As Long)
        mlngPosition = Value
    End Sub

    Public ReadOnly Property SourceFile() As String
        Get
            Return mstrSourceFile
        End Get
    End Property

    Public ReadOnly Property FileName() As String
        Get
            Return mstrFileName
        End Get
    End Property

    Public ReadOnly Property Path() As String
        Get
            Return mstrPath
        End Get
    End Property

    Public ReadOnly Property FileSize() As Long
        Get
            Return mlngFileSize
        End Get
    End Property

    Public ReadOnly Property Position() As Long
        Get
            Return mlngPosition
        End Get
    End Property
End Structure

Public Delegate Sub gFileStatus(ByVal e As FileStatusEventArgs)

Public Class FileStatusEventArgs
    Friend mlngNumEntries, mlngEntry, mlngFileSize, mlngFilePosition As Long
    Friend mstrFileName As String

    Public ReadOnly Property Filename() As String
        Get
            Return mstrFileName
        End Get
    End Property

    Public ReadOnly Property NumberOfEntries() As Long
        Get
            Return mlngNumEntries
        End Get
    End Property

    Public ReadOnly Property Entry() As Long
        Get
            Return mlngEntry
        End Get
    End Property

    Public ReadOnly Property FileSize() As Long
        Get
            Return mlngFileSize
        End Get
    End Property

    Public ReadOnly Property FilePosition() As Long
        Get
            Return mlngFilePosition
        End Get
    End Property
End Class