'Created by: X
'Copyright: Created by: X
'E-Mail: mailto:createdbyx@yahoo.com
'Web: http://www.createdbyx.com/
'Date: November 11, 2003
'=============================================

''' <summary>
''' This namespace contains GUI (Graphical User Interface) related objects, methods etc.
''' </summary>
Namespace GUI

    ''' <summary>
    ''' Provides a ParentChild interface.
    ''' </summary>
    Public Interface IParentChild
        ''' <summary>
        ''' The number of children the class contains.
        ''' </summary>
        ''' <returns>Returns the number of child objects.</returns>
        ReadOnly Property ChildCount() As Integer
        ''' <summary>
        ''' Gets/Sets the value of a child object.
        ''' </summary>
        ''' <param name="Index">The index of the child.</param>
        ''' <returns>Return the object at the given index.</returns>
        Property Child(ByVal Index As Integer) As IParentChild
        ''' <summary>
        ''' Returns a reference to the parent object.
        ''' </summary>
        ''' <returns>Returns a reference to the parent object.</returns>
        Property Parent() As IParentChild
    End Interface
End Namespace