'Created by: X
'Copyright: Created by: X
'E-Mail: mailto:createdbyx@yahoo.com
'Web: http://www.createdbyx.com/
'Date: November 27, 2003
'=============================================



''' <summary>
''' Provides a wrapper for a matrix that specifies how this matrix is built.
''' </summary>
Public Class MatrixStackItem
    Private menuFunction As MatrixFunction = MatrixFunction.Multiply
    Private mobjMatrix As Matrix = Matrix.Identity

    ''' <summary>
    ''' Gets or Sets the way that this matrix should be built.
    ''' </summary>
    ''' <returns>Returns the way that this matrix should be built.</returns>
    Public Property [Function]() As MatrixFunction
        Get
            Return menuFunction
        End Get
        Set(ByVal Value As MatrixFunction)
            menuFunction = Value
        End Set
    End Property

    ''' <summary>
    ''' Gets or Sets the Matrix type.
    ''' </summary>
    ''' <returns>Returns a Matrix type.</returns>
    Public Property Matrix() As Matrix
        Get
            Return mobjMatrix
        End Get
        Set(ByVal Value As Matrix)
            mobjMatrix = Value
        End Set
    End Property
End Class




