Public Class Connect
    Implements EasyG.Extentions.ITileTrackingExport

    Public ReadOnly Property FileTypeDescription() As String Implements CBX.Games.EasyG.Extentions.ITileTrackingExport.FileTypeDescription
        Get
            Return "Z1 Map *.Z1M"
        End Get
    End Property

    Public ReadOnly Property FileTypeExtention() As String Implements CBX.Games.EasyG.Extentions.ITileTrackingExport.FileTypeExtention
        Get
            Return "Z1M"
        End Get
    End Property

    Public Sub Run(ByVal Filename As String, ByVal TrackedTiles As CBX.Games.EasyG.Extentions.TileTrackingCollection) Implements CBX.Games.EasyG.Extentions.ITileTrackingExport.Run
        Dim objWriter As Grouper.GrouperWriter

        objWriter = New Grouper.GrouperWriter()
        objWriter.Create(Filename)

        With objWriter
            ' header
            .BeginDataBlock()
            .WriteData(TrackedTiles.Count)
            .EndDataBlock()

            ' tiles
        End With

        objWriter.Close()
        objWriter = Nothing
    End Sub

    Public ReadOnly Property Description() As String Implements CBX.Games.EasyG.Extentions.ITileTrackingExport.Description
        Get
            Return "Exports to a Z1 map format. "
        End Get
    End Property

    Public ReadOnly Property Title() As String Implements CBX.Games.EasyG.Extentions.ITileTrackingExport.Title
        Get
            return "Z1 Map"
        End Get
    End Property
End Class
