'Created by: X
'E-Mail: mailto:createdbyx@yahoo.com
'Web: http://www.createdbyx.com/
'Date: April 11, 2003
'=============================================

Public Class Map
    Private mobjBlocks(,) As Block
    Private mobjSize As Size

    Public ReadOnly Property Blocks(ByVal Row As Integer, ByVal Column As Integer) As Block
        Get
            Return mobjBlocks(Row, Column)
        End Get
    End Property

    Public Property Rows() As Integer
        Get
            Return mobjSize.Height - 1
        End Get
        Set(ByVal Value As Integer)
            Dim idx, idy As Integer

            ReDim Preserve mobjBlocks(Value, mobjSize.Height - 1)

            For idy = mobjSize.Height - 1 To Value
                For idx = 0 To mobjSize.Width - 1
                    mobjBlocks(idx, idy) = New Block()
                Next
            Next
            mobjSize.Height = Value
        End Set
    End Property

    Public Property Columns() As Integer
        Get
            Return mobjSize.Width - 1
        End Get
        Set(ByVal Value As Integer)
            Dim idx, idy As Integer

            ReDim Preserve mobjBlocks(mobjSize.Width - 1, Value)

            For idy = 0 To mobjSize.Height - 1
                For idx = mobjSize.Width - 1 To Value
                    mobjBlocks(idx, idy) = New Block()
                Next
            Next
            mobjSize.Width = Value
        End Set
    End Property

    Public Sub New()
        Me.Rows = 10
        Me.Columns = 4
    End Sub
End Class
