'Created by: X
'Copyright: Created by: X
'E-Mail: mailto:createdbyx@yahoo.com
'Web: http://www.createdbyx.com/
'Date: November 27, 2003
'=============================================

Friend Module Friendly
    Friend Sub PrivateSaveTextureState(ByVal File As String, ByVal Stage As Integer, ByVal State As Direct3D.TextureState)

        SetINIData(File, "Header", Stage.ToString & ":" & "AlphaArgument0", CInt(State.AlphaArgument0).ToString)
        SetINIData(File, "Header", Stage.ToString & ":" & "AlphaArgument1", CInt(State.AlphaArgument1).ToString)
        SetINIData(File, "Header", Stage.ToString & ":" & "AlphaArgument2", CInt(State.AlphaArgument2).ToString)
        SetINIData(File, "Header", Stage.ToString & ":" & "AlphaOperation", CInt(State.AlphaOperation).ToString)
        SetINIData(File, "Header", Stage.ToString & ":" & "BumpEnvironmentLuminanceOffset", State.BumpEnvironmentLuminanceOffset.ToString)
        SetINIData(File, "Header", Stage.ToString & ":" & "BumpEnvironmentLuminanceScale", State.BumpEnvironmentLuminanceScale.ToString)
        SetINIData(File, "Header", Stage.ToString & ":" & "BumpEnvironmentMaterial00", State.BumpEnvironmentMaterial00.ToString)
        SetINIData(File, "Header", Stage.ToString & ":" & "BumpEnvironmentMaterial01", State.BumpEnvironmentMaterial01.ToString)
        SetINIData(File, "Header", Stage.ToString & ":" & "BumpEnvironmentMaterial10", State.BumpEnvironmentMaterial10.ToString)
        SetINIData(File, "Header", Stage.ToString & ":" & "BumpEnvironmentMaterial11", State.BumpEnvironmentMaterial11.ToString)
        SetINIData(File, "Header", Stage.ToString & ":" & "ColorArgument0", CInt(State.ColorArgument0).ToString)
        SetINIData(File, "Header", Stage.ToString & ":" & "ColorArgument1", CInt(State.ColorArgument1).ToString)
        SetINIData(File, "Header", Stage.ToString & ":" & "ColorArgument2", CInt(State.ColorArgument2).ToString)
        SetINIData(File, "Header", Stage.ToString & ":" & "ColorOperation", CInt(State.ColorOperation).ToString)
        SetINIData(File, "Header", Stage.ToString & ":" & "ConstantColorA", State.ConstantColor.A.ToString)
        SetINIData(File, "Header", Stage.ToString & ":" & "ConstantColorR", State.ConstantColor.R.ToString)
        SetINIData(File, "Header", Stage.ToString & ":" & "ConstantColorG", State.ConstantColor.G.ToString)
        SetINIData(File, "Header", Stage.ToString & ":" & "ConstantColorB", State.ConstantColor.B.ToString)
        SetINIData(File, "Header", Stage.ToString & ":" & "ResultArgument", CInt(State.ResultArgument).ToString)
        SetINIData(File, "Header", Stage.ToString & ":" & "TextureCoordinateIndex", State.TextureCoordinateIndex.ToString)
        SetINIData(File, "Header", Stage.ToString & ":" & "TextureTransform", CInt(State.TextureTransform).ToString)
    End Sub

#Region "Get/Set INIData methods ... "
    Friend Function GetINIData(ByVal strFile As String, ByVal Node As String, ByVal Data As String) As String
        Dim objData As New DataSet()
        Dim objTable As DataTable

        Try
            objData.ReadXml(strFile)
            objTable = objData.Tables(Node)
            Return CStr(objTable.Rows(0)(Data))
        Catch ex As Exception
            Return Nothing
        End Try
    End Function

    Friend Sub SetINIData(ByVal strFile As String, ByVal Node As String, ByVal Data As String, ByVal Value As String)
        Dim objData As New DataSet()
        Dim objDataOut As New DataSet()
        Dim objTable As DataTable = objDataOut.Tables.Add(Node)

        Try
            objData.ReadXml(strFile)
            objTable = objData.Tables(Node)
            objTable.Rows(0)(Data) = Value
            objData.WriteXml(strFile)

        Catch exFile As System.IO.FileNotFoundException
            Dim newXml As New System.Xml.XmlTextWriter(strFile, System.Text.Encoding.ASCII)

            ' if the file is not there create it
            With newXml
                .WriteStartDocument()
                .WriteStartElement(Node)
                .WriteElementString(Data, Value)
                .WriteEndElement()
                .WriteEndDocument()
                .Flush()
                .Close()
            End With

        Catch ex As Exception
            objTable.Columns.Add(Data)
            objTable.Rows(0)(Data) = Value
            objTable.DataSet.WriteXml(strFile)
        End Try
    End Sub
#End Region
End Module