'Created by: X
'Copyright: Created by: X
'E-Mail: mailto:createdbyx@yahoo.com
'Web: http://www.createdbyx.com/
'Date: November 11, 2003
'=============================================

''' <summary>
''' The MaterialTextureCombo contains a direct3d material reference as well as the texture indexes for each texture stage.
''' </summary>
Public Class MaterialTextureCombo
    ''' <summary>
    ''' Represents a Direct3D material.
    ''' </summary>
    Public Material As Direct3D.Material
    Private mintTextures(7) As Integer

    ''' <summary>
    ''' Returns the Index of a texture from a specified texture stage.
    ''' </summary>
    ''' <param name="Index">The index of the texture stage.</param>
    ''' <returns>Returns the Index of a texture from a specified texture stage.</returns>
    Public Property Textures(ByVal Index As TextureStage) As Integer
        Get
            Return mintTextures(Index)
        End Get
        Set(ByVal Value As Integer)
            mintTextures(Index) = Value
        End Set
    End Property

       ''' <summary>
    ''' Returns the Index of a texture from a specified texture stage.
    ''' </summary>
    ''' <param name="Index">The index of the texture stage.</param>
    ''' <returns>Returns the Index of a texture from a specified texture stage.</returns>
    Public Property Textures(ByVal Index As Integer) As Integer
        Get
            Return mintTextures(Index)
        End Get
        Set(ByVal Value As Integer)
            mintTextures(Index) = Value
        End Set
    End Property

    ''' <summary>
    ''' Creates a new instance of the class.
    ''' </summary>
    Public Sub New()
        GeneralHelpers.RemoveTextureIndexes(Me)
    End Sub
End Class
