Namespace Interfaces
    Public Interface IKeyFrame
        Property Time() As Integer
    End Interface

    Public Interface IKeyFrames
        Property Count() As Integer
        Property Keyframe(ByVal Time As Integer) As IKeyFrame
        Function Add(ByVal Keyframe As IKeyFrame) As Integer
        Sub Remove(ByVal Index As Integer)
        Sub Remove(ByVal Keyframe As IKeyFrame)
    End Interface

    Public Interface ISpriteKeyframe
        Inherits IKeyFrame

        Property Scaling() As Vector2
        Property SourceRectangle() As Rectangle
        Property RotationCenter() As Vector2
        Property Rotation() As Single
        Property Translation() As Vector2
        Property Color() As Color
    End Interface
End Namespace