Public Class TileTrackingItem
    Implements ICloneable

    Private mstrFilename As String
    Private mobjSource, mobjDestination As Rectangle
    Private mintLayer, mintRow, mintColumn As Integer

    Public Property Filename() As String
        Get
            Return mstrFilename
        End Get
        Set(ByVal Value As String)
            mstrFilename = Value
        End Set
    End Property

    Public Property Source() As Rectangle
        Get
            Return mobjSource
        End Get
        Set(ByVal Value As Rectangle)
            mobjSource = Value
        End Set
    End Property

    Public Property Destination() As Rectangle
        Get
            Return mobjDestination
        End Get
        Set(ByVal Value As Rectangle)
            mobjDestination = Value
        End Set
    End Property

    Public Property Layer() As Integer
        Get
            Return mintLayer
        End Get
        Set(ByVal Value As Integer)
            mintLayer = Value
        End Set
    End Property

    Public Property Column() As Integer
        Get
            Return mintColumn
        End Get
        Set(ByVal Value As Integer)
            mintColumn = Value
        End Set
    End Property

    Public Property Row() As Integer
        Get
            Return mintRow
        End Get
        Set(ByVal Value As Integer)
            mintRow = Value
        End Set
    End Property

    Public Function Clone() As Object Implements System.ICloneable.Clone
        Dim objItem As TileTrackingItem

        objItem = New TileTrackingItem()
        objItem.Destination = New Rectangle(mobjDestination.Location, mobjDestination.Size)
        objItem.Source = New Rectangle(mobjSource.Location, mobjSource.Size)
        objItem.Filename = mstrFilename
        objItem.Layer = mintLayer

        Return objItem
    End Function
End Class
