'Created by: X
'E-Mail: mailto:createdbyx@yahoo.com
'Web: http://www.createdbyx.com/
'Date: Monday, December 23, 2002
'=============================================

Namespace MenuItemCommands
    Public Class MenuItemCommands

        Public Enum MenuItemSetup
            Checked = 0
            DefaultItem = 1
            Enabled = 2
            MDIList = 3
            MergeOrder = 4
            MergeType = 5
            OwnderDraw = 7
            RadioCheck = 8
            Shortcut = 9
            ShowShortcut = 10
            Text = 11
            Visible = 12
        End Enum

#Region " SetupAllMenuItems methods ... "
        Public Shared Sub SetupAllMenuItems(ByVal SetupWhat As MenuItemSetup, ByVal ParentMenu As Menu, ByVal Value As Boolean)
            Dim Item As System.Windows.Forms.MenuItem

            For Each Item In ParentMenu.MenuItems
                Select Case SetupWhat
                    Case MenuItemSetup.Checked
                        Item.Checked = Value

                    Case MenuItemSetup.DefaultItem
                        Item.DefaultItem = Value

                    Case MenuItemSetup.Enabled
                        Item.Enabled = Value

                    Case MenuItemSetup.MDIList
                        Item.MdiList = Value

                    Case MenuItemSetup.OwnderDraw
                        Item.OwnerDraw = Value

                    Case MenuItemSetup.RadioCheck
                        Item.RadioCheck = Value

                    Case MenuItemSetup.ShowShortcut
                        Item.ShowShortcut = Value

                    Case MenuItemSetup.Visible
                        Item.Visible = Value

                End Select
            Next
        End Sub

        Public Shared Sub SetupAllMenuItems(ByVal SetupWhat As MenuItemSetup, ByVal ParentMenu As Menu, ByVal Value As Integer)
            Dim Item As System.Windows.Forms.MenuItem

            For Each Item In ParentMenu.MenuItems
                Select Case SetupWhat
                    Case MenuItemSetup.MergeOrder
                        Item.MergeOrder = Value
                End Select
            Next
        End Sub

        Public Shared Sub SetupAllMenuItems(ByVal SetupWhat As MenuItemSetup, ByVal ParentMenu As Menu, ByVal Value As MenuMerge)
            Dim Item As System.Windows.Forms.MenuItem

            For Each Item In ParentMenu.MenuItems
                Select Case SetupWhat
                    Case MenuItemSetup.MergeType
                        Item.MergeType = Value
                End Select
            Next
        End Sub

        Public Shared Sub SetupAllMenuItems(ByVal SetupWhat As MenuItemSetup, ByVal ParentMenu As Menu, ByVal Value As Shortcut)
            Dim Item As System.Windows.Forms.MenuItem

            For Each Item In ParentMenu.MenuItems
                Select Case SetupWhat
                    Case MenuItemSetup.Shortcut
                        Item.Shortcut = Value
                End Select
            Next
        End Sub

        Public Shared Sub SetupAllMenuItems(ByVal SetupWhat As MenuItemSetup, ByVal ParentMenu As Menu, ByVal Value As String)
            Dim Item As System.Windows.Forms.MenuItem

            For Each Item In ParentMenu.MenuItems
                Select Case SetupWhat
                    Case MenuItemSetup.Text
                        Item.Text = Value
                End Select
            Next
        End Sub
#End Region
    End Class
End Namespace