'Created by: X
'E-Mail: mailto:createdbyx@yahoo.com
'Web: http://www.createdbyx.com/
'Date: March 22, 2003
'=============================================

Imports Microsoft.DirectX.Direct3D.Geometry

Public Class Form1
    Inherits System.Windows.Forms.Form

    'Private Class ParticleItem
    '    Inherits PlayerItem

    '    Public Enum ParticleFlags
    '        WeaponFire = 1
    '        FriendlyFire = 2
    '    End Enum

    '    Public Flags As ParticleFlags

    'End Class

    Private Class SourceRectAnimationKey
        Public Display As Long
        Public SourceRectangle As Rectangle
        Public RotationCenter As Vector2
    End Class

    Private Class PlayerItem
        Public Sprite As DX9ToolsR4.Sprites.SpriteTransformTextured
        Public TextureInfo As Direct3D.ImageInformation
        Public Animations() As SourceRectAnimationKey
        Public CurrentAnimationIndex, Health, MaxHealth As Integer
        Public LastStartTime As Long
    End Class

    Private Enum GameState
        MainMenu = 0
        Playing = 1
        Quiting = 2
        Paused = 3
    End Enum

    'Private mobjGraphics As DX9ToolsR4.DX9Graphics
    'Private mobjSprite As DX9ToolsR4.Sprites.SpriteBlt
    Private mobjPlayer, mobjEnemies() As PlayerItem
    Private mobjMousePointer As DX9ToolsR4.Sprites.SpriteTransformTextured
    ' Private mobjParticles() As ParticleItem
    ' Private mobjTextures As DX9ToolsR4.SimpleTextureCollection
    'Private mobjInput As GameInput
    Private mGameState As GameState = GameState.MainMenu
    Private mintPlayGUITextureIndex, mintDodadsTextureIndex As Integer
    Private DeviceLost As Boolean
    Private FullScreen As Boolean = False
    Private mobjMainMenu As CustomGUI
    Private mobjGamePlayArea, mobjScreenArea As RectangleF
    'Private mobjTimer As GameToolsR2.GameTimer = New GameToolsR2.GameTimer()


#Region " Windows Form Designer generated code "

    Public Sub New()
        MyBase.New()

        'This call is required by the Windows Form Designer.
        InitializeComponent()

        'Add any initialization after the InitializeComponent() call

    End Sub

    'Form overrides dispose to clean up the component list.
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    'Required by the Windows Form Designer
    Private components As System.ComponentModel.IContainer

    'NOTE: The following procedure is required by the Windows Form Designer
    'It can be modified using the Windows Form Designer.  
    'Do not modify it using the code editor.
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        '
        'Form1
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.BackColor = System.Drawing.Color.Red
        Me.ClientSize = New System.Drawing.Size(642, 486)
        Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog
        Me.MaximizeBox = False
        Me.MinimizeBox = False
        Me.Name = "Form1"
        Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
        Me.Text = "Simple Shooter - Created by: X"

    End Sub

#End Region

    Private Function RequestTextureCallback(ByVal Index As Integer) As Direct3D.BaseTexture
        If Index = -1 Then
            Return Nothing
        Else
            Return mobjTextures(Index)
        End If
    End Function

    Private Sub ResizeForm(ByVal S As Size)
        Me.Size = S
        Me.Size = New Size(S.Width + (Me.Width - Me.ClientSize.Width), _
                           S.Height + (Me.Height - Me.ClientSize.Height))
    End Sub

    Private Function InitGraphics(ByVal Ctrl As Control) As Boolean
        Try
            If FullScreen Then
                If DX9ToolsR4.DX9Graphics.ModeAvailible(0, 640, 480, Direct3D.Format.X8R8G8B8) Then
                    mobjGraphics = New DX9ToolsR4.DX9Graphics(Me, 640, 480, Direct3D.Format.X8R8G8B8)
                ElseIf DX9ToolsR4.DX9Graphics.ModeAvailible(0, 640, 480, Direct3D.Format.A8R8G8B8) Then
                    mobjGraphics = New DX9ToolsR4.DX9Graphics(Me, 640, 480, Direct3D.Format.A8R8G8B8)
                Else
                    MsgBox("640x480x32 Is required to play!", MsgBoxStyle.Information Or MsgBoxStyle.OKOnly)
                    Me.Close()
                    Exit Function
                End If
            Else
                ResizeForm(New Size(640, 480))
                mobjGraphics = New DX9ToolsR4.DX9Graphics(Ctrl)
            End If

            With mobjGraphics.Device
                .VertexFormat = Direct3D.CustomVertex.TransformedColoredTextured.Format
                .RenderState.Lighting = False
                .RenderState.CullMode = Direct3D.Cull.None

                ' Blend a Texture with Vertex Color
                .TextureState(0).ColorOperation = Direct3D.TextureOperation.Modulate
                .TextureState(0).ColorArgument1 = Direct3D.TextureArgument.TextureColor
                .TextureState(0).ColorArgument2 = Direct3D.TextureArgument.Diffuse
                .TextureState(0).AlphaOperation = Direct3D.TextureOperation.Modulate


                .SamplerState(0).MinFilter = Direct3D.TextureFilter.Linear
                .SamplerState(0).MagFilter = Direct3D.TextureFilter.Linear
                .SamplerState(0).MipFilter = Direct3D.TextureFilter.Linear
                .SamplerState(0).AddressU = Direct3D.TextureAddress.Wrap
                .SamplerState(0).AddressV = Direct3D.TextureAddress.Wrap
            End With


        Catch ex As Exception
            Return False
        End Try

        Return True
    End Function


    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.Show()
        Randomize(Environment.TickCount)
        Me.Cursor = New Cursor("..\empty.cur")
        Me.Focus()
        mobjGamePlayArea = New RectangleF(160, 0, 640 - 160, 480)
        mobjScreenArea = New RectangleF(0, 0, 640, 480)
        Application.DoEvents()

        'Try
        '    mobjInput = New GameInput(Me, FullScreen)
        '    mobjInput.Acquire()
        'Catch ex As Exceptions.InitInputException
        '    ErrWin.ShowError(Me, MsgBoxStyle.Exclamation Or MsgBoxStyle.OKOnly, "Init Error", "Could not init game input!")
        '    CleanUp()
        '    mGameState = GameState.Quiting
        '    Me.Close()
        '    Exit Sub

        'Catch ex As Exception
        '    ' unknown error
        '    ErrWin.ShowError(Me, MsgBoxStyle.Exclamation Or MsgBoxStyle.OKOnly, "Unknown Error", "Unknown error initilizing game input!")
        '    CleanUp()
        '    mGameState = GameState.Quiting
        '    Me.Close()
        '    Exit Sub

        'End Try

        AquireKB()
        If Not KBAquired() Then
            ErrWin.ShowError(Me, MsgBoxStyle.Exclamation Or MsgBoxStyle.OKOnly, "Init Error", "Could not init game input!")
            CleanUp()
            mGameState = GameState.Quiting
            Me.Close()
            Exit Sub
        End If

        If Not InitGraphics(Me) Then
            MsgBox("Could not init graphics.")
            CleanUp()
            Me.Close()
            Exit Sub
        End If

        mobjSprite = New DX9ToolsR4.Sprites.SpriteBlt(mobjGraphics.Device)
        mobjTextures = New DX9ToolsR4.SimpleTextureCollection()

        CreatePlayers()
        LoadTextures()
        ResetPlayer()
        CreateMouse()
        InitMenus()

        mGameState = GameState.MainMenu
        While mGameState <> GameState.Quiting
            If mGameState <> GameState.Paused Then
                Select Case mGameState
                    Case GameState.MainMenu
                        DoMainMenu()

                    Case GameState.Playing
                        DoPlayGame()
                End Select
            End If
        End While

        CleanUp()
        Me.Close()
    End Sub

    Private Sub InitMenus()
        Dim objTmp As CustomGUI
        Dim Center As Vector2
        Dim intIndex As Integer
        Dim V() As Vector2
        Dim R As Rectangle
        Dim Info As Direct3D.ImageInformation

        Center = New Vector2(mobjScreenArea.Width / 2, mobjScreenArea.Height / 2)

        intIndex = mobjTextures.Add(mobjGraphics.Device, "..\MainMenuBack3.png")
        Info = Direct3D.TextureLoader.ImageInformationFromFile("..\MainMenuBack3.png")
        'intIndex = mobjTextures.Add("..\Ship.tga", Color.Black)
        mobjMainMenu = New CustomGUI(mobjScreenArea, Color.White, 1)
        With mobjMainMenu
            ' .Clickable = False

            V = DX9ToolsR4.GeneralHelpers.UVFromRectangle(Info.Width, Info.Height, 0, 0, _
                    (mobjScreenArea.Width / Info.Width) * Info.Width, _
                    (mobjScreenArea.Height / Info.Height) * Info.Height)
            .SetVertexData(V, 0)

            .TextureIndex(DX9ToolsR4.TextureStage.Base) = intIndex
            .RequestTextureCallback = AddressOf Me.RequestTextureCallback

            '-----------------------

            ' add transparency rect
            R = General.RectangleFromCenter(Center.X, Center.Y, 500, 400)
            objTmp = New CustomGUI(R, Color.FromArgb(128, 0, 0, 0), 1)
            With objTmp
                ' .Clickable = False
            End With
            .AddChild(objTmp)

            '------------------------

            ' add play button
            objTmp = New CustomGUI(230, 190, 48, 49, Color.FromArgb(255, 255, 255, 255), 1)
            With objTmp
                ' .Clickable = True
                .TextureIndex(DX9ToolsR4.TextureStage.Base) = mintDodadsTextureIndex
                .RequestTextureCallback = AddressOf Me.RequestTextureCallback

                '' 32,16 - 80,65
                V = DX9ToolsR4.GeneralHelpers.UVFromRectangle(256, 256, 34, 16, 80, 65)
                .SetVertexData(V, 0)


                ' add play event handler
                AddHandler objTmp.Click, AddressOf Play_Click
                AddHandler objTmp.MouseDown, AddressOf Play_MouseDown
                AddHandler objTmp.MouseMove, AddressOf Play_MouseMove
                AddHandler objTmp.MouseUp, AddressOf Play_MouseUp
            End With
            .AddChild(objTmp)
        End With
    End Sub

    Private Sub CleanUp()
        mobjMainMenu = Nothing
        mobjMousePointer = Nothing
        mobjPlayer = Nothing
        mobjSprite = Nothing
        Erase mobjEnemies
        Erase mobjParticles
        mobjTextures = Nothing
        mobjGraphics = Nothing
        mobjInput = Nothing
    End Sub

    Private Sub DoMainMenu()
        While mGameState = GameState.MainMenu
            Render()
            GetInput()
            Application.DoEvents()
        End While
    End Sub

    Private Sub DoPlayGame()
        While mGameState = GameState.Playing Or mGameState = GameState.Paused
            Render()
            If mGameState <> GameState.Paused Then UpdatePlayers()
            GetInput()
            Application.DoEvents()
        End While
    End Sub

    Public Sub CreatePlayers()
        Dim idx As Integer

        ' create player
        mobjPlayer = New PlayerItem()
        mobjPlayer.Sprite = New DX9ToolsR4.Sprites.SpriteTransformTextured()
        mobjPlayer.Health = 100
        mobjPlayer.MaxHealth = 100

        ' create emenies
        ReDim mobjEnemies(2)
        For idx = 0 To mobjEnemies.Length - 1
            mobjEnemies(idx) = New PlayerItem()
            mobjEnemies(idx).Sprite = New DX9ToolsR4.Sprites.SpriteTransformTextured()
            With mobjEnemies(idx).Sprite

                ReDim mobjEnemies(idx).Animations(3)
                With mobjEnemies(idx)
                    .Animations(0) = New SourceRectAnimationKey()
                    .Animations(0).Display = mobjTimer.MilliToTicks(100)
                    .Animations(0).SourceRectangle = New Rectangle(0, 0, 27, 26)
                    .Animations(0).RotationCenter = New Vector2(13, 17)

                    .Animations(1) = New SourceRectAnimationKey()
                    .Animations(1).Display = mobjTimer.MilliToTicks(100)
                    .Animations(1).SourceRectangle = New Rectangle(27, 0, 54, 27)
                    .Animations(1).RotationCenter = New Vector2(40, 17)

                    .Animations(2) = New SourceRectAnimationKey()
                    .Animations(2).Display = mobjTimer.MilliToTicks(100)
                    .Animations(2).SourceRectangle = New Rectangle(54, 0, 81, 29)
                    .Animations(2).RotationCenter = New Vector2(67, 17)

                    .Animations(3) = New SourceRectAnimationKey()
                    .Animations(3).Display = mobjTimer.MilliToTicks(100)
                    .Animations(3).SourceRectangle = New Rectangle(27, 0, 54, 27)
                    .Animations(3).RotationCenter = New Vector2(40, 17)
                End With
                mobjEnemies(idx).CurrentAnimationIndex = 0
                mobjEnemies(idx).LastStartTime = 0

                With mobjEnemies(idx).Sprite
                    .Color = Color.White
                    .SourceRectangle = mobjEnemies(idx).Animations(0).SourceRectangle
                    .TransformMatrix = Matrix.Identity
                    .UseTextureIndex = True
                    .UseTransformMatrix = False
                    .Rotation = DegreeToRadian(180)
                    .RotationCenter = New Vector2(13, 17)
                    .Scaling = New Vector2(1, 1)
                    .Translation = New Vector2(160 + (Rnd() * 200), 50)
                End With
            End With
            mobjEnemies(idx).Health = 100
            mobjEnemies(idx).MaxHealth = 100
        Next
    End Sub

    Public Sub CreateMouse()
        Dim idx As Integer

        ' create mouse
        mobjMousePointer = New DX9ToolsR4.Sprites.SpriteTransformTextured()
        With mobjMousePointer
            .Color = Color.White
            .SourceRectangle = New Rectangle(0, 16, 32, 48)
            .TransformMatrix = Matrix.Identity
            .TextureIndex = mintDodadsTextureIndex
            .UseTextureIndex = True
            .UseTransformMatrix = False
            .Rotation = DegreeToRadian(0)
            .RotationCenter = New Vector2(0, 0)
            .Scaling = New Vector2(1, 1)
            .Translation = New Vector2(0, 0)
        End With
    End Sub

    Private Sub UpdatePlayers()
        Dim idx As Integer
        Dim CurrentTime As Long

        CurrentTime = Now.Ticks
        'CurrentTime = Environment.TickCount

        ' update player
        DoUpdatePlayer(mobjPlayer, CurrentTime)

        ' update enemy players
        For idx = 0 To mobjEnemies.Length - 1
            DoUpdatePlayer(mobjEnemies(idx), CurrentTime)
        Next
    End Sub

    Private Sub DoUpdatePlayer(ByVal Player As PlayerItem, ByVal TheTime As Long)
        With Player
            If .CurrentAnimationIndex > .Animations.Length - 1 Then .CurrentAnimationIndex = 0
            If TheTime > .LastStartTime + .Animations(.CurrentAnimationIndex).Display Then
                .Sprite.SourceRectangle = .Animations(.CurrentAnimationIndex).SourceRectangle
                .Sprite.RotationCenter = .Animations(.CurrentAnimationIndex).RotationCenter
                .CurrentAnimationIndex += 1
                .LastStartTime = TheTime
            End If
        End With
    End Sub

    Private Sub LoadTextures()
        Dim Index, idx As Integer

        IO.Directory.SetCurrentDirectory(Application.StartupPath)

        mintPlayGUITextureIndex = mobjTextures.Add(mobjGraphics.Device, "..\PlayGUI.png")
        mintDodadsTextureIndex = mobjTextures.Add(mobjGraphics.Device, "..\Dodads.png", Color.Black)

        mobjPlayer.Sprite.TextureIndex = mobjTextures.Add(mobjGraphics.Device, "..\Ship.tga", Color.Black)
        mobjPlayer.TextureInfo = Direct3D.TextureLoader.ImageInformationFromFile("..\Ship.tga")

        Index = mobjTextures.Add(mobjGraphics.Device, "..\Enemies.tga", Color.Black)
        For idx = 0 To mobjEnemies.Length - 1
            mobjEnemies(idx).TextureInfo = Direct3D.TextureLoader.ImageInformationFromFile("..\Enemies.tga")
            mobjEnemies(idx).Sprite.TextureIndex = Index
        Next
    End Sub

    Private Sub ResetPlayer()

        ReDim mobjPlayer.Animations(3)
        With mobjPlayer
            .Animations(0) = New SourceRectAnimationKey()
            .Animations(0).Display = mobjTimer.MilliToTicks(100)
            .Animations(0).SourceRectangle = New Rectangle(0, 0, 33, 24)
            .Animations(0).RotationCenter = New Vector2(16, 14)

            .Animations(1) = New SourceRectAnimationKey()
            .Animations(1).Display = mobjTimer.MilliToTicks(100)
            .Animations(1).SourceRectangle = New Rectangle(33, 0, 66, 25)
            .Animations(0).RotationCenter = New Vector2(49, 14)

            .Animations(2) = New SourceRectAnimationKey()
            .Animations(2).Display = mobjTimer.MilliToTicks(100)
            .Animations(2).SourceRectangle = New Rectangle(66, 0, 99, 26)
            .Animations(0).RotationCenter = New Vector2(82, 14)

            .Animations(3) = New SourceRectAnimationKey()
            .Animations(3).Display = mobjTimer.MilliToTicks(100)
            .Animations(3).SourceRectangle = New Rectangle(33, 0, 66, 25)
            .Animations(0).RotationCenter = New Vector2(49, 14)
        End With
        mobjPlayer.CurrentAnimationIndex = 0
        mobjPlayer.LastStartTime = 0

        With mobjPlayer.Sprite
            .Color = Color.White
            .SourceRectangle = mobjPlayer.Animations(0).SourceRectangle
            .TransformMatrix = Matrix.Identity
            .UseTextureIndex = True
            .UseTransformMatrix = False
            .Rotation = DegreeToRadian(0)
            .RotationCenter = New Vector2(16, 14)
            .Scaling = New Vector2(1, 1)
        End With
    End Sub

    Private Sub Render()
        Dim idx As Integer

        If Me.WindowState = FormWindowState.Minimized Then Exit Sub

        mobjGraphics.Clear(Color.Beige)
        mobjGraphics.Device.BeginScene()

        RenderGUI()

        If mGameState = GameState.Playing Or mGameState = GameState.Paused Then
            ' render player
            mobjSprite.Draw(mobjPlayer.Sprite, mobjTextures)

            ' render enemies
            For idx = 0 To mobjEnemies.Length - 1
                mobjSprite.Draw(mobjEnemies(idx).Sprite, mobjTextures)
            Next
        End If

        mobjGraphics.Device.EndScene()

        If DeviceLost Then
            Try
                ' Test the cooperative level to see if it's okay to render
                mobjGraphics.Device.TestCooperativeLevel()
            Catch e As Direct3D.DeviceLostException
                ' If the device was lost, do not render until we get it back
                Exit Sub
            Catch e As Direct3D.DeviceNotResetException
                ' Reset the device and resize it
                mobjGraphics.Device.Reset(mobjGraphics.Device.PresentationParameters)
            End Try

            DeviceLost = False
        End If

        Try
            mobjGraphics.Present()
        Catch e As Direct3D.DeviceLostException
            DeviceLost = True
            mGameState = GameState.Paused
        End Try
    End Sub

    Private Sub RenderGUI()
        Dim Health As Integer

        Select Case mGameState
            Case GameState.MainMenu
                mobjGraphics.Device.RenderState.SourceBlend = Direct3D.Blend.SourceAlpha
                mobjGraphics.Device.RenderState.DestinationBlend = DirectX.Direct3D.Blend.InvSourceAlpha

                ' Enable alpha testing (skips pixels with less than a certain alpha.)
                If mobjGraphics.Device.DeviceCaps.AlphaCompareCaps.SupportsGreaterEqual Then
                    mobjGraphics.Device.RenderState.AlphaTestEnable = True
                    mobjGraphics.Device.RenderState.ReferenceAlpha = &H8
                    mobjGraphics.Device.RenderState.AlphaFunction = DirectX.Direct3D.Compare.GreaterEqual
                End If

                mobjMainMenu.Render(mobjGraphics.Device, True)
                mobjSprite.Draw(mobjMousePointer, mobjTextures)

            Case GameState.Playing
                Health = (mobjPlayer.Health \ mobjPlayer.MaxHealth) * 100
                mobjSprite.Draw(mobjTextures, mintPlayGUITextureIndex, New Rectangle(0, 0, 160, 480), New Vector2(0, 0))
                mobjSprite.Draw(mobjTextures, mintDodadsTextureIndex, New Rectangle(1, 1, Health + 2, 19), New Vector2(3, 30))
                ' draw pause dialog
                If mGameState = GameState.Paused Then

                End If
        End Select
    End Sub

    Private Sub GetInput()
        ' restrict input to 30 updates per second
        If mobjTimer.GetCurrentTime > mobjTimer.LastCapturedTime + mobjTimer.MilliToTicks(33) Then
            ' get device states
            mobjInput.Update()

            Select Case mGameState
                Case GameState.MainMenu
                    GetInputMainMenu()
                    PositionMouseCursor()

                Case GameState.Playing
                    GetInputPlaying()
            End Select
        End If
    End Sub

    Public Sub PositionMouseCursor()
        Dim P As Point

        With mobjMousePointer
            If Not FullScreen Then
                P = Me.PointToScreen(Me.ClientRectangle.Location)

                If InBounds(Me.MousePosition, New Rectangle(P, Me.ClientSize)) Then
                    .Translation = New Vector2(Me.MousePosition.X - P.X, Me.MousePosition.Y - P.Y)
                End If
            Else
                .Translation = New Vector2(.Translation.X + mobjInput.MouseState.X, .Translation.Y + mobjInput.MouseState.Y)
            End If

            .Translation = DX9ToolsR4.GeneralHelpers.RestrictVector2(.Translation, mobjScreenArea)
        End With
    End Sub

    Private Function ProcessMouseInput(ByVal GUI As CustomGUI) As Boolean
        Dim idx As Integer
        Dim Ret As Boolean

        If InBounds(New PointF(mobjInput.MouseState.X, mobjInput.MouseState.Y), GUI.GetRectangle) Then
            If GUI.ChildCount > 0 Then
                Ret = ProcessMouseInput(CType(GUI.Child(idx), CustomGUI))
            Else

                If mobjInput.PreviousMouseState.GetMouseButtons(0) <> 0 And _
                   mobjInput.MouseState.GetMouseButtons(0) = 0 Then

                    ' clicked?


                End If

            End If
        End If
    End Function

    Public Sub GetInputMainMenu()
        ProcessMouseInput(mobjMainMenu)

        If mobjInput.Key(DirectInput.Key.Q) Or mobjInput.Key(DirectInput.Key.X) Then
            mGameState = GameState.Quiting
            Exit Sub
        End If

        If mobjInput.Key(DirectInput.Key.P) Or mobjInput.Key(DirectInput.Key.Return) Then
            mGameState = GameState.Playing
        End If
    End Sub

    Public Sub GetInputPlaying()

        If mobjInput.Key(DirectInput.Key.Escape) Then
            mGameState = GameState.MainMenu
            Exit Sub
        End If

        If mobjInput.Key(DirectInput.Key.P) Or mobjInput.Key(DirectInput.Key.Pause) Then
            Select Case mGameState
                Case GameState.Paused
                    mGameState = GameState.Playing
                Case GameState.Playing
                    mGameState = GameState.Paused
            End Select

            Exit Sub
        End If

        '#If Fullscreen Then
        ' get mouse input
        With mobjPlayer.Sprite
            .Translation = New Vector2(.Translation.X + mobjInput.MouseState.X, .Translation.Y + mobjInput.MouseState.Y)
        End With
        '#End If

        mobjPlayer.Sprite.Translation = DX9ToolsR4.GeneralHelpers.RestrictVector2(mobjPlayer.Sprite.Translation, mobjGamePlayArea)
    End Sub


    '#If Fullscreen = False Then
    '    Private Sub Form1_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles MyBase.MouseMove
    '        mobjPlayer.Sprite.Translation = New Vector2(e.X, e.Y)
    '    End Sub
    '#End If

    Private Sub Form1_Closing(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles MyBase.Closing
        mGameState = GameState.Quiting
    End Sub

    Private Sub Form1_Activated(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Activated
        If Not mobjInput Is Nothing Then mobjInput.Acquire()
    End Sub
End Class
