'Created by: X
'Copyright: Created by: X
'E-Mail: mailto:createdbyx@yahoo.com
'Web: http://www.createdbyx.com/
'Date: November 3, 2003
'=============================================
Imports Microsoft.DirectX.DirectInput.CooperativeLevelFlags

Module General
    Friend gobjTimer As GameToolsR2.GameTimer
    'Friend gobjGameCore As GCore.GameCore
    Friend ScreenSize As Size

    <STAThread()> _
    Public Sub Main()
        StartUp()

        While True
            Select Case DoMainMenu()
                Case modDoMainMenu.MMReturns.Play
                    DoPlay()

                Case modDoMainMenu.MMReturns.Quit
                    Exit While
            End Select
        End While
        'gobjGameCore.Run()

        Shutdown()
    End Sub

    Private Sub StartUp()
        'Dim objIdle As Idle
        'Dim objInput As MainMenuGetInput
        'Dim objRender As MainMenuRender

        SetupDXETracer(True)
        DX9ToolsR4.GeneralHelpers.SetupDX9TTracers(True)
        gobjTimer = New GameToolsR2.GameTimer()

        ' init graphics
        InitGraphics()
        'If ModeAvailible(0, 640, 480, DirectX.Direct3D.Format.X8R8G8B8) Then
        '    InitGraphics(640, 480, DirectX.Direct3D.Format.X8R8G8B8)
        'Else
        '    MsgBox("640x480x32 not supported.")
        '    Shutdown()
        '    End
        'End If
        ShowWindow()

        GetWindowProperties(ScreenSize)
        InitKB()
        If Not KBInitilized() Then
            'err: to do
        Else
            SetKBCoop(Exclusive Or Foreground)
            AquireKB()
        End If

        InitMouse()
        If Not MouseInitilized() Then
            'err: to do
        Else
            SetMouseCoop(Exclusive Or Foreground)
            AquireMouse()
        End If

        '' create the main game core object
        'gobjGameCore = New GCore.GameCore()

        ''' add main menu getinput task to game loop
        ''objInput = New MainMenuGetInput()
        ''gobjGameCore.Tasks.Add(objInput)

        '' add main menu render task to game loop
        'objRender = New MainMenuRender()
        'gobjGameCore.Tasks.Add(objRender)

        '' add gereric (doevents) idle task to game loop
        'objIdle = New Idle()
        'gobjGameCore.Tasks.Add(objIdle)
    End Sub

    Private Sub Shutdown()
        Try
            ' gobjGameCore.Tasks.Clear()
            'gobjGameCore = Nothing
            gobjTimer = Nothing
            ShutdownGraphics()
            UnAquireKB()
            UnAquireMouse()
            SetupDXETracer(False)
            DX9ToolsR4.GeneralHelpers.SetupDX9TTracers(False)
        Catch ex As Exception
            'ERR: handle error?
        End Try
    End Sub

    Public Function GetVector3FromXY(ByVal X As Single, ByVal Y As Single) As Vector3
        Dim vNear As Vector3
        Dim vFar As Vector3
        ' Dim RayDir As Vector3
        'Dim Closest As Direct3D.IntersectInformation
        Dim Dev As Direct3D.Device
        Dim Tmp As Single

        Dev = GetDevice()
        GetCameraProperty(CameraProperty.PositionZ, Tmp)
        vNear = New Vector3(X, Y, Tmp)
        Dim wmat As Matrix = Matrix.Identity

        wmat.Scale(1, 1, 1)

        vNear.Unproject(Dev.Viewport, Dev.Transform.Projection, Dev.Transform.View, wmat)     ' Dev.Transform.World)
        GetCameraProperty(CameraProperty.LookAtZ, Tmp)
        vFar = New Vector3(X, Y, Tmp)
        vFar.Unproject(Dev.Viewport, Dev.Transform.Projection, Dev.Transform.View, Dev.Transform.World)
        vFar.Subtract(vNear)
        Return vFar

        'If Mesh.Intersect(vNear, vFar, Closest) Then
        '    Dim AttributeBuffer() As Integer
        '    AttributeBuffer = Mesh.LockAttributeBuffer(LockFlags.None)
        '    AttributeBuffer(Closest.FaceIndex) = 1
        '    Mesh.UnlockAttributeBuffer(AttributeBuffer)
        'End If
    End Function
End Module