'Created by: X
'Copyright: Created by: X
'E-Mail: mailto:createdbyx@yahoo.com
'Web: http://www.createdbyx.com/
'Date: November 3, 2003
'=============================================
Imports Microsoft.DirectX.Direct3D.DrawTextFormat
Imports Microsoft.DirectX.Direct3D.Geometry

Public Class MainMenuRender
    Implements GCore.ITask
    Private mintFont As Integer
    Private mobjSprite As DXEliminator.Sprite


    Public Sub Execute() Implements CBX.Games.GCore.ITask.Execute
        Dim R As Rectangle
        GetKBState()

        ' quit game
        If KBKey(DirectX.DirectInput.Key.Escape) Then DoQuit()

        BeginScene(Color.Black)

        GetWindowProperties(R)
        R.X = 0
        R.Y = 0
        DrawText("Test", R, Center Or VerticalCenter, Color.Red)

        DrawSprite(mobjSprite)

        EndScene(True)
    End Sub

    Public Sub New()
        mintFont = CreateNewFont(New Font("Ariel Black", 36, FontStyle.Bold, GraphicsUnit.Pixel))
        mobjSprite = New DXEliminator.Sprite(False)
        mobjSprite.TextureIndex = LoadTexture("..\dodads.png")
        mobjSprite.SourceRectangle = New Rectangle(0, 16, 32, 47)
        ' 0,16,32,47
    End Sub

    Protected Overrides Sub Finalize()
        MyBase.Finalize()
        Try
            DeleteFont(mintFont)
            DeleteTexture(mobjSprite.TextureIndex)

            mobjSprite = Nothing
        Catch
        End Try
    End Sub

    Private Sub DoQuit()
        'Dim idx As Integer

        ' stop game loop
        gobjGameCore.StopRunning()

        '' look for MainMenuRender task and remove it
        'idx = 0
        'While idx <= gobjGameCore.Tasks.Count - 1
        '    ' check if it's the task we are looking for
        '    If TypeOf gobjGameCore.Tasks(idx) Is MainMenuRender Then
        '        gobjGameCore.Tasks.Remove(idx)
        '        Exit While
        '    Else
        '        ' task not found so move to next one
        '        idx += 1
        '    End If
        'End While

        ' remove this task from game loop
        gobjGameCore.Tasks.Remove(Me)
    End Sub
End Class
