'Created by: X
'Copyright: Created by: X
'E-Mail: mailto:createdbyx@yahoo.com
'Web: http://www.createdbyx.com/
'Date: November 12, 2003
'=============================================

'Private Class ParticleItem
'    Inherits PlayerItem

'    Public Enum ParticleFlags
'        WeaponFire = 1
'        FriendlyFire = 2
'    End Enum

'    Public Flags As ParticleFlags

'End Class


Public Class SourceRectAnimationKey
    Public Display As Long
    Public SourceRectangle As Rectangle
End Class

Public Class SourceRectAnimationKeyMatrix
    Public Display As Long
    Public Matrix As Matrix
End Class

Public Class CharacterItem
    Implements IActions
    Public Animations() As SourceRectAnimationKeyMatrix
    Public LastTime As Long
    Public CurrentAnimationIndex, Health, MaxHealth As Integer
    Public Speed As Vector3
    Public Location As Vector3
    Public Mesh As DX9ToolsR4.MeshEx
    Public Matrix As Matrix
    Private mobjActions As ActionStackCollection

    Protected Overrides Sub Finalize()
        MyBase.Finalize()
        Erase Animations
        Animations = Nothing
        Mesh = Nothing
        mobjActions = Nothing
    End Sub

    Public ReadOnly Property Actions() As SimpleShooter.ActionStackCollection Implements SimpleShooter.IActions.Actions
        Get
            Return mobjActions
        End Get
    End Property

    Public Sub New()
        MyBase.new()
        mobjActions = New ActionStackCollection()
    End Sub
End Class

Public Class ParticleItem
    Inherits CharacterItem

End Class

Public Class WeaponFireItem
    Inherits CharacterItem
    Public CharacterOwner As CharacterItem

    Protected Overrides Sub Finalize()
        MyBase.Finalize()
        CharacterOwner = Nothing
    End Sub
End Class