'Created by: X
'Copyright: Created by: X
'E-Mail: mailto:createdbyx@yahoo.com
'Web: http://www.createdbyx.com/
'Date: November 26, 2003
'=============================================


''' <summary>
''' Provides a set of interfaces for the DX9Tools.
''' </summary>
Namespace Interfaces
    ''' <summary>
    ''' Provides an interface for texture handling.
    ''' </summary>
    Public Interface ITextureReference
        ''' <summary>
        ''' Determins weather or not to use a texture reference stored internally or use a texture index.
        ''' </summary>
        ''' <returns>If True then the implementing class must use the texture index.</returns>
        Property UseTextureIndex() As Boolean
        ''' <summary>
        ''' The index of the texture to use.
        ''' </summary>
        ''' <returns>Returns the Index of the texture.</returns>
        Property TextureIndex() As Integer
        ''' <summary>
        ''' A reference to a texture.
        ''' </summary>
        ''' <returns>A reference to a texture.</returns>
        Property Texture() As Direct3D.Texture
    End Interface

    '''' <summary>
    '''' Provides an interface for texture handling.
    '''' </summary>
    'Public Interface IIndexedTextureWithState
    '    ''' <summary>
    '    ''' The index of the texture to use.
    '    ''' </summary>
    '    ''' <returns>Returns the Index of the texture.</returns>
    '    Property Index() As Integer
    '    ''' <summary>
    '    ''' The state of the texture at
    '    ''' </summary>
    '    ''' <param name="Index"></param>
    '    ''' <returns></returns>
    '    Property TextureStates(ByVal Index As Integer) As Direct3D.TextureState
    'End Interface
End Namespace