'Created by: X
'E-Mail: mailto:createdbyx@yahoo.com
'Web: http://www.createdbyx.com/
'Date: April 11, 2003
'=============================================

Public Class Blocks
    Private mobjBlocks() As Block

    Private Function FirstFreeIndex() As Integer
        Dim idx As Integer

        For idx = 0 To mobjBlocks.Length - 1
            If mobjBlocks(idx) Is Nothing Then Return idx
        Next

        Return -1
    End Function

    Public Function Add(ByVal Item As Block) As Integer
        Dim FreeIndex As Integer

        If mobjBlocks Is Nothing Then
            ReDim mobjBlocks(0)
            FreeIndex = 0
        Else
            FreeIndex = FirstFreeIndex()
            If FreeIndex = -1 Then
                ReDim Preserve mobjBlocks(mobjBlocks.Length)
                FreeIndex = mobjBlocks.Length - 1
            End If
        End If

        mobjBlocks(FreeIndex) = Item
        Return FreeIndex
    End Function

    Default Public Property Item(ByVal Index As Integer) As Block
        Get
            Return mobjBlocks(Index)
        End Get
        Set(ByVal Value As Block)
            mobjBlocks(Index) = Value
        End Set
    End Property

    Public ReadOnly Property Count() As Integer
        Get
            If Not mobjBlocks Is Nothing Then
                Return mobjBlocks.Length
            Else
                Return 0
            End If
        End Get
    End Property

#Region " Remove Overloads ... "
    Public Sub Remove(ByVal index As Integer)
        If mobjBlocks Is Nothing Then Exit Sub
        mobjBlocks(index) = Nothing
    End Sub

    Public Sub Remove(ByVal indexs() As Integer)
        Dim idx As Integer

        If mobjBlocks Is Nothing Then Exit Sub
        For idx = indexs.GetLowerBound(0) To indexs.GetUpperBound(0)
            mobjBlocks(idx) = Nothing
        Next
    End Sub

    Public Sub Remove(ByVal index As Integer, ByVal Count As Integer)
        Dim idx As Integer

        If mobjBlocks Is Nothing Then Exit Sub
        For idx = index To index + Count
            If idx > mobjBlocks.Length - 1 Then Exit For
            mobjBlocks(idx) = Nothing
        Next
    End Sub

    Public Sub Remove(ByVal Item As Block)
        If mobjBlocks Is Nothing Then Exit Sub
        mobjBlocks(mobjBlocks.IndexOf(mobjBlocks, Item)) = Nothing
    End Sub
#End Region

End Class
